summaryrefslogtreecommitdiff
path: root/regional-currency/upgrade.sh
diff options
context:
space:
mode:
Diffstat (limited to 'regional-currency/upgrade.sh')
-rwxr-xr-xregional-currency/upgrade.sh30
1 files changed, 30 insertions, 0 deletions
diff --git a/regional-currency/upgrade.sh b/regional-currency/upgrade.sh
new file mode 100755
index 0000000..8924a77
--- /dev/null
+++ b/regional-currency/upgrade.sh
@@ -0,0 +1,30 @@
+#!/bin/bash
+# This file is in the public domain.
+set -eu
+
+echo "Fetching package list..."
+apt-get update
+
+echo -n "Stopping Taler services..."
+systemctl disable --now taler-exchange.target &>> upgrade.log
+systemctl disable --now taler-merchant.target &>> upgrade.log
+systemctl disable --now libeufin-bank &>> upgrade.log
+systemctl disable --now libeufin-nexus.target &>> upgrade.log
+echo " OK"
+
+echo "Upgrading packages..."
+apt-get upgrade
+
+echo "Upgrading databases..."
+libeufin-dbconfig &>> upgrade.log
+taler-exchange-dbconfig &>> upgrade.log
+taler-merchant-dbconfig &>> upgrade.log
+
+echo -n "Restarting Taler services..."
+systemctl enable --now taler-exchange.target &>> upgrade.log
+systemctl enable --now taler-merchant.target &>> upgrade.log
+systemctl enable --now libeufin-bank &>> upgrade.log
+systemctl enable --now libeufin-nexus.target &>> upgrade.log
+echo " OK"
+
+exit 0